<h2 nz-title>{{ "Politics.Laws.Laws" | translate }}</h2>
<nz-table #lawsTable nzSize="middle" style="overflow-x: auto; white-space: nowrap;" [nzData]="laws" [nzLoading]="isLoading">
  <thead>
    <tr>
      <th>{{ "Politics.Laws.LawTitle" | translate }}</th>
      <th>{{ "Politics.Laws.ProposedDate" | translate }}</th>
      <th>{{ "Politics.Laws.Outcome" | translate }}</th>
      <th style="text-align: center;">
        <button nz-button nzType="primary" (click)="showProposeLawModal()" *ngIf="canPropose()" nzSize="small"
          nzShape="round">
          <span>{{ "Common.Buttons.ProposeNewLaw" | translate }}</span>
        </button>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of lawsTable.data; index as i">
      <td>
        {{ "Politics.Laws." + data.title | translate }}
      </td>
      <td>{{ data.startDateTime.replace("T", " ").split(".")[0] }}</td>
      <td>
        <nz-tag *ngIf="data.outcome === 'Ongoing'">{{ 'Common.' + data.outcome | translate  }}</nz-tag>
        <nz-tag *ngIf="data.outcome === 'Accepted'" nzColor="success">
          <span nz-icon nzType="check-circle"></span> {{ 'Common.' + data.outcome | translate }}
        </nz-tag>
        <nz-tag *ngIf="data.outcome === 'Rejected'" nzColor="error">
          <span nz-icon nzType="close-circle"></span> {{ 'Common.' + data.outcome | translate }}
        </nz-tag>
      </td>
      <td style="text-align: center">
        <button nz-button nzShape="round" nzSize="small" nzShape="round" [routerLink]="['/country', countryId, 'law', data.id]">
          <span nz-icon nzType="eye" nzTheme="outline"></span>
        </button>
      </td>
    </tr>
  </tbody>
</nz-table>